Get all charge codes
https://api.propexo.com/v1/charge-codes/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The Propexo unique identifier for the property
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the charge code
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Interface | Method |
|---|---|
| Receivables | /Receivables/GetChargeTransactionCategories |
e6b1a9c3-4d70-4f28-b5e1-8a3c0d7f2914The external ID of the property from the integration vendor
| Interface | Method |
|---|---|
| Receivables | /Receivables/GetChargeTransactionCategories |
naThe external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for RESMAN
nullThe GL account number for debits
| Interface | Method |
|---|---|
| Receivables | /Receivables/GetChargeTransactionCategories |
4200The GL account number for credits
| Interface | Method |
|---|---|
| Receivables | /Receivables/GetChargeTransactionCategories |
4200The name of the charge code
| Interface | Method |
|---|---|
| Receivables | /Receivables/GetChargeTransactionCategories |
LATEA description of this charge code
| Interface | Method |
|---|---|
| Receivables | /Receivables/GetChargeTransactionCategories |
Late Feecustom_data object | nullrequired
The Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
RESMANAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINEYARDIYARDI_RESTRESMANErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/charge-codes/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "e6b1a9c3-4d70-4f28-b5e1-8a3c0d7f2914",
"x_property_id": "na",
"x_location_id": null,
"debit_gl_account": "4200",
"credit_gl_account": "4200",
"name": "LATE",
"description": "Late Fee",
"custom_data": "Unknown Type: object,null",
"property_id": "clwi5xiix000008l6ctdgafyh",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RESMAN"
}
]
}